mod repo;
mod domain;
mod cli;
mod api;


#[macro_use]
extern crate rouille;

use std::sync::Arc;
use crate::repo::pokemon::InMemoryRepository;

fn main() {
    let repo = Arc::new(InMemoryRepository::new());
    api::serve("localhost:8000", repo);
}
